/*********************************************************************
 *
 *      Run Time Library Loading (RTLL)-Library Services
 *
 *********************************************************************
 * FileName:        lib_services.c
 * Dependencies:
 * Processor:       PIC32
 *
 * Complier:        MPLAB C32
 *                  MPLAB IDE
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 * Microchip RTLL  PIC32 Software.
 * Copyright  2008 Microchip Technology Inc.  All rights reserved.
 * 
 * Microchip licenses the Software for your use with Microchip microcontrollers
 * and Microchip digital signal controllers pursuant to the terms of the
 * Non-Exclusive Software License Agreement accompanying this Software.
 *
 * SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY
 * OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION,
 * ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS
 * FOR A PARTICULAR PURPOSE.
 * MICROCHIP AND ITS LICENSORS ASSUME NO RESPONSIBILITY FOR THE ACCURACY,
 * RELIABILITY OR APPLICATION OF THE SOFTWARE AND DOCUMENTATION.
 * IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED
 * UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH
 * OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT
 * DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL,
 * SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS
 * OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY,
 * SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED
 * TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
 *
 ********************************************************************/

#include <string.h>
#include "RTLL.h"
#include "my_math_lib.h"

// Define the address where Library module header is to be placed.
#define _MODULE_HEADER_ADDRESS_ 0x9D06E000

// TODO: Define the library name here
#define _MODULE_NAME_	 "@MyMathLibrary"


const T_PROC_DCPT _exportProcTbl[] = 
{
	// TODO: Add Procedure Name and Procedure Handle to be exported.
	
	//Proc Name, 	Proc Handle
	{     "myAdd"     , 	(void*)myAdd		},
	{     "myMul"   , 	(void*)myMul		}
	
};	


/*******************************************
    LibInit()
    Any extra initialization can be done here.
********************************************/
void LibInit()
{
	//TODO: Add any user specific initialization here.	
}	

// comment following line, if library has its own heap.
#define USE_APPLICATION_HEAP

#define __RTLL_LIB_SERVICES__
#include "RTLL.c"

/**********************************************************************/


	
	
	
